#ifndef Menu_h
#define Menu_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include <QMenu>
#include "Counter.h"

//* context menu
class Menu:public QMenu, private Base::Counter<Menu>
{

    public:

    //* cronstructor
    explicit Menu( QWidget* = nullptr );

    //* separator
    QAction& separator()
    { return *separator_; }

    private:

    // last separator
    QAction* separator_ = nullptr;

};

#endif
